ur_rna.GUITester

## Class RuntimeTools.ActionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ur_rna.Utilities.ExtensibleException
      - - ur_rna.GUITester.ScriptRuntimeException
        - - ur_rna.GUITester.RuntimeTools.ActionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RuntimeTools.ActionArgumentException, RuntimeTools.UnsupportedActionException
  Enclosing class:
    RuntimeTools

      public static class RuntimeTools.ActionException
      extends ScriptRuntimeException

  Base class for exceptions thrown from `doAction`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ur_rna.Utilities.ExtensibleException

      `data, readOnlyData, updatedMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionException()`
    `ActionException(java.lang.String message)`
    `ActionException(java.lang.String message, java.lang.Throwable cause)`
    `ActionException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class ur_rna.GUITester.ScriptRuntimeException

      `getNode, setNode, setNode`

    - ### Methods inherited from class ur_rna.Utilities.ExtensibleException

      `getData, getData, getData, getMessage, getOriginalMessage, putData, putData, resetMessage, setMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionException

          public ActionException()

    - #### ActionException

          public ActionException(java.lang.String message)

    - #### ActionException

          public ActionException(java.lang.String message,
                                 java.lang.Throwable cause)

    - #### ActionException

          public ActionException(java.lang.Throwable cause)